Keeping the Google Analytics Web Experience Modern

Google on their lastet blog posted on 12th December 2014 had announced that they will be no longer supporting Google Analytics compatibility for Internet Explorer Version 9 or below starting January 31, 2015. This means if you are willing to browse analytics on Internet Explorer you have to upgrade to IE10 or IE11.

Personally my recommendation would be installing one of modern browsers like Chrome, Firefox or Safari.

Details can be found here.


About Author

I am Robin - WordPress Developer based in Sydney. I work as Digital Developer. I do some projects now and then, and love blogging about WordPress and Web Design.